/* /Layout/MainLayout.razor.rz.scp.css */
.globalTint[b-a41f9ing5x] {
    pointer-events: none;
    z-index: 5;
    position: fixed;
    background-color: rgb(0, 0, 0, 0);
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top-row[b-a41f9ing5x] {
    backdrop-filter: blur(20px);
    height: 75px;
    background-color: rgb(20, 20, 20, 0.8);
    justify-content: flex-start;
    display: flex;
    align-items: center;
    margin: 10px;
    border-radius: 10px;
}

    .top-row[b-a41f9ing5x]  a, .top-row[b-a41f9ing5x]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-a41f9ing5x]  a:hover, .top-row[b-a41f9ing5x]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-a41f9ing5x]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.imageFullView[b-a41f9ing5x] {
    opacity: 0%;
    height: 95%;
    width: 95%;
    background-color: rgb(20, 20, 20);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    transition: opacity 0.2s, width 0.2s, height 0.2s;
}

.imageViewMain[b-a41f9ing5x] {
    height: calc(100% - 50px);
    position: absolute;
    bottom: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.imageHeader[b-a41f9ing5x] {
    border-radius: 10px;
    z-index: 1;
    backdrop-filter: blur(20px);
    height: 50px;
    width: 100%;
    background-color: rgb(30, 30, 30, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    padding-left: 40px;
    top: 0;
}

.imageViewContentFrame[b-a41f9ing5x] {
    mask: add;
    border-radius: 5px;
    height: 90%;
    width: calc(97% - 400px);
    background-color: rgb(100, 20, 20, 0);
    position: fixed;
    left: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.imageViewContentImage[b-a41f9ing5x] {
}

.imageViewBackButton[b-a41f9ing5x] {
    position: absolute;
    left: 10px;
    width: 200px;
    height: 40px;
    border-radius: 10px;
    border-color: rgb(100, 100, 100);
    text-decoration: none;
    border-style: solid;
    cursor: pointer;
    background-color: rgb(70, 70, 70);
    transition: filter 0.2s, width 0.2s, height 0.2s;
    font-family: "Google Sans Flex", sans-serif;
    font-optical-sizing: auto;
    font-size: 20px;
    font-weight: 300;
    font-style: normal;
    font-variation-settings: "slnt" 0, "wdth" 100, "GRAD" 100, "ROND" 0;
    color: white;
}

    .imageViewBackButton:hover[b-a41f9ing5x] {
        filter: brightness(70%) drop-shadow(0px 5px 5px black);
        width: 198px;
        height: 38px;
    }

    .imageViewBackButton:active[b-a41f9ing5x] {
        filter: brightness(60%) drop-shadow(0px 5px 5px black);
        width: 195px;
        height: 35px;
    }
/* /Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-1vwpil6jmu] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-1vwpil6jmu] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
    border-radius: 20px;
}

.navbar-brand[b-1vwpil6jmu] {
    font-size: 1.1rem;
}

.bi[b-1vwpil6jmu] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-1vwpil6jmu] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-1vwpil6jmu] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-1vwpil6jmu] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-1vwpil6jmu] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-1vwpil6jmu] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-1vwpil6jmu] {
        padding-bottom: 1rem;
    }

    .nav-item[b-1vwpil6jmu]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-1vwpil6jmu]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-1vwpil6jmu]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-1vwpil6jmu] {
        display: none;
    }

    .collapse[b-1vwpil6jmu] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }

    .nav-scrollable[b-1vwpil6jmu] {
        /* Allow sidebar to scroll for tall menus */
        height: 100%;
        overflow-y: auto;
    }
}
/* /Pages/Home.razor.rz.scp.css */
/* Control bar at top of the page */

.gallery-control-bar-container[b-8y93yfyfi8] {
    justify-content: flex-start;
    gap: 10px;
    padding: 10px;
    height: auto;
}

.gallery-control-bar[b-8y93yfyfi8] {
    border-radius: 10px;
    min-height: 50px;
    height: auto;
    width: 100%;
    background-color: rgb(50, 50, 50);
}

.bar-text[b-8y93yfyfi8] {
    padding: 10px;
}

/* Media container for uploaders to see their media */

.uploader-tab-container[b-8y93yfyfi8] {
    justify-content: flex-start;
    gap: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
    height: auto;
}

.uploader-tab[b-8y93yfyfi8] {
    border-radius: 10px;
    min-height: 100px;
    height: auto;
    width: 100%;
    background-color: rgb(40, 40, 40);
}

.uploader-tab-email[b-8y93yfyfi8] {
    padding: 10px;
}

.uploader-no-media-text[b-8y93yfyfi8] {
    color: rgb(140, 140, 140);
}

/*  */

main[b-8y93yfyfi8] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: padding-top 0.2s, padding-left 0.2s;
}

.main-padding-top[b-8y93yfyfi8] {
    padding-top: 75px;
}

.main-padding-left[b-8y93yfyfi8] {
}
